AllOf (Hamcrest)
Date: 2012-07-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest.core
Class AllOf<T>

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.DiagnosingMatcher<T>
              org.hamcrest.core.AllOf<T>

All Implemented Interfaces:
  Matcher<T>, SelfDescribing

    public class AllOf<T>

extends DiagnosingMatcher<T>

Calculates the logical conjunction of multiple matchers. Evaluation is shortcut, so subsequent matchers are not called if an earlier matcher returns `false`.

Constructor Summary
`AllOf(java.lang.Iterable<Matcher<? super T>> matchers)`

Method Summary
`static
`<T> Matcher<T>`
` | `allOf(java.lang.Iterable<Matcher<? super T>> matchers)` Creates a matcher that matches if the examined object matches ALL of the specified matchers.
`static
`<T> Matcher<T>`
` | `allOf(Matcher<? super T>... matchers)` Creates a matcher that matches if the examined object matches ALL of the specified matchers.
`static
`<T> Matcher<T>`
` | `allOf(Matcher<? super T> first, Matcher<? super T> second)` Creates a matcher that matches if the examined object matches ALL of the specified matchers.
`static
`<T> Matcher<T>`
` | `allOf(Matcher<? super T> first, Matcher<? super T> second, Matcher<? super T> third)` Creates a matcher that matches if the examined object matches ALL of the specified matchers.
`static
`<T> Matcher<T>`
` | `allOf(Matcher<? super T> first, Matcher<? super T> second, Matcher<? super T> third, Matcher<? super T> fourth)` Creates a matcher that matches if the examined object matches ALL of the specified matchers.
`static
`<T> Matcher<T>`
` | `allOf(Matcher<? super T> first, Matcher<? super T> second, Matcher<? super T> third, Matcher<? super T> fourth, Matcher<? super T> fifth)` Creates a matcher that matches if the examined object matches ALL of the specified matchers.
`static
`<T> Matcher<T>`
` | `allOf(Matcher<? super T> first, Matcher<? super T> second, Matcher<? super T> third, Matcher<? super T> fourth, Matcher<? super T> fifth, Matcher<? super T> sixth)` Creates a matcher that matches if the examined object matches ALL of the specified matchers.
`void` | `describeTo(Description description)` Generates a description of the object.
`boolean` | `matches(java.lang.Object o, Description mismatch)`

Methods inherited from class org.hamcrest.DiagnosingMatcher
`describeMismatch, matches`

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AllOf

    public AllOf(java.lang.Iterable<Matcher<? super T>> matchers)

Method Detail

### matches

    public boolean matches(java.lang.Object o,
                           Description mismatch)

  Specified by:
    `matches` in class `DiagnosingMatcher<T>`

### describeTo

    public void describeTo(Description description)

  Description copied from interface: `SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

### allOf

    public static <T> Matcher<T> allOf(java.lang.Iterable<Matcher<? super T>> matchers)

  Creates a matcher that matches if the examined object matches ALL of the specified matchers.

  For example:

      assertThat("myValue", allOf(startsWith("my"), containsString("Val")))

### allOf

    public static <T> Matcher<T> allOf(Matcher<? super T>... matchers)

  Creates a matcher that matches if the examined object matches ALL of the specified matchers.

  For example:

      assertThat("myValue", allOf(startsWith("my"), containsString("Val")))

### allOf

    public static <T> Matcher<T> allOf(Matcher<? super T> first,
                                       Matcher<? super T> second)

  Creates a matcher that matches if the examined object matches ALL of the specified matchers.

  For example:

      assertThat("myValue", allOf(startsWith("my"), containsString("Val")))

### allOf

    public static <T> Matcher<T> allOf(Matcher<? super T> first,
                                       Matcher<? super T> second,
                                       Matcher<? super T> third)

  Creates a matcher that matches if the examined object matches ALL of the specified matchers.

  For example:

      assertThat("myValue", allOf(startsWith("my"), containsString("Val")))

### allOf

    public static <T> Matcher<T> allOf(Matcher<? super T> first,
                                       Matcher<? super T> second,
                                       Matcher<? super T> third,
                                       Matcher<? super T> fourth)

  Creates a matcher that matches if the examined object matches ALL of the specified matchers.

  For example:

      assertThat("myValue", allOf(startsWith("my"), containsString("Val")))

### allOf

    public static <T> Matcher<T> allOf(Matcher<? super T> first,
                                       Matcher<? super T> second,
                                       Matcher<? super T> third,
                                       Matcher<? super T> fourth,
                                       Matcher<? super T> fifth)

  Creates a matcher that matches if the examined object matches ALL of the specified matchers.

  For example:

      assertThat("myValue", allOf(startsWith("my"), containsString("Val")))

### allOf

    public static <T> Matcher<T> allOf(Matcher<? super T> first,
                                       Matcher<? super T> second,
                                       Matcher<? super T> third,
                                       Matcher<? super T> fourth,
                                       Matcher<? super T> fifth,
                                       Matcher<? super T> sixth)

  Creates a matcher that matches if the examined object matches ALL of the specified matchers.

  For example:

      assertThat("myValue", allOf(startsWith("my"), containsString("Val")))

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD